version: '3'
services:
    mysql:
        image: 'mysql:8.0'
        ports:
            - '3316:3306'
        environment:
            MYSQL_ROOT_PASSWORD: 'secret'
            MYSQL_DATABASE: 'hyperia'
            MYSQL_USER: 'hyperia'
            MYSQL_PASSWORD: 'secret'
            MYSQL_ALLOW_EMPTY_PASSWORD: 'yes'
        volumes:
            - 'sailmysql:/var/lib/mysql'
volumes:
    sailmysql:
        driver: local
